# $Id$

addconfig()
{
	local opts

	if [[ -z ${CONFIG} ]]
	then
		echo "You must define \$CONFIG varibale first!"
		return 1
	fi

	if [[ ! -d "$(dirname ${CONFIG})" ]]
	then
		install -d "$(dirname ${CONFIG})"
	fi

	# check for opts
	case $1 in
		-n) shift; opts=" -n" ;;
		-e) shift; opts=" -e" ;;
	esac

	echo ${opts} "$@" >> "${CONFIG}"
}

clearconfig()
{
	if [[ -z ${CONFIG} ]]
	then
		echo "You must define \$CONFIG varibale first!"
		return 1
	fi

	if [[ ! -d "$(dirname ${CONFIG})" ]]
	then
		install -d "$(dirname ${CONFIG})"
	fi
	: > "${CONFIG}"
}


updateconfig()
{
	local variables="$@"
	local value
	local i

	if [[ -z ${CONFIG} ]]
	then
		echo "You must define \$CONFIG varibale first!"
		return 1
	fi

	for i in ${variables}
	do
		value="$(eval echo \${NEW_${i}})"
		if [[ ! -z $(grep "^${i}=" "${CONFIG}") ]]
		then
			echo "fixing ${i} -> ${value}"
			sed -i "s|^\(${i}=\).*|\1\"${value}\"|" "${CONFIG}"
		else
			echo "adding ${i}=${value}"
			echo "${i}=\"${value}\"" >> "${CONFIG}"
		fi
	done
}

rc_mecho()
{
	rc_echo -e "${COLMAGENTA}$@${COLDEFAULT}"
}

# read_cmdline ${item}
read_cmdline()
{
	local i

	for i in $(< /proc/cmdline)
	do
		[[ ${i} = $1 ]] && return 0
	done

	return 1
}
